/************************************************************************
* "Epsilon", "EEL" and "Lugaru" are trademarks of Lugaru Software, Ltd. *
*									*
*  Copyright (C) 1985, 1989 Lugaru Software Ltd.  All rights reserved.	*
*									*
* Limited permission is hereby granted to reproduce and modify this	*
* copyrighted material provided that the resulting code is used only in	*
* conjunction with Lugaru products and that this notice is retained in	*
* any such reproduction or modification.				*
************************************************************************/

/*
These versions of up-line and down-line can scroll when point
winds up off-screen.
*/

#include "eel.h"

char smooth_scroll = 1;	/* should up- & down-line scroll if offscreen? */

command down_line()
{
	int save;

	down_or_up_lines(1);
	while (smooth_scroll && point > window_end) {
		window_scroll(1);
		save = point;
		point = window_start;	/* compute window_end explicitely */
		window_end = next_screen_line(window_size);
		if (window_end < size())
			window_end--;
		point = save;
		check_abort();
	}
}

command up_line()
{
	down_or_up_lines(0);
	while (smooth_scroll && point < window_start) {
		window_scroll(-1);
		check_abort();
	}
}
